## revpi-webstatus 2.5.0

=== debian/changelog ===
revpi-webstatus (1:2.5.0-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Sven Sager <s.sager@kunbus.com>  Tue, 09 Dec 2025 13:44:16 +0100

revpi-webstatus (1:2.5.0-1+deb12+1) bookworm; urgency=medium

  [ LukasZech ]
  * ci: Do not run E2E tests on debian/* branches

  [ Nicolai Buchwitz ]
  * ci: Add gitlab pipeline for package builds
  * ci: Run e2e tests only on relevant changes
  * ci: Fix e2e pipeline
  * ci: Run local pipeline only if file exists
  * ci: Run e2e tests only on non debian branches
  * ci: Run e2e tests also on changes to test/*

  [ Marc Kittner ]
  * fix: Use strict comparisons in login validation logic

  [ Sven Sager ]
  * chore: Change version to 2.4.6

  [ Marc Kittner ]
  * style: Remove trailing whitespaces across all JavaScript files
  * style: Fix JSON formatting in configServices.json
  * fix: Remove redundant display setting for confignoderedInfo

  [ Igor Oborovski ]
  * ci: Sonarqube check

  [ Marc Kittner ]
  * feat: Add warning for Node-RED

  [ Nicolai Buchwitz ]
  * feat: Set default key length to 4096 bits

 -- Sven Sager <s.sager@kunbus.com>  Wed, 23 Jul 2025 17:17:42 +0200

revpi-webstatus (1:2.4.5-1+revpi12+5) bookworm; urgency=medium

  * feat(deb): Remove var-log mount function

 -- Sven Sager <s.sager@kunbus.com>  Mon, 25 Nov 2024 16:24:13 +0100

revpi-webstatus (1:2.4.5-1+revpi12+4) bookworm; urgency=medium

  * feat(debian): Move revpi-cert-wizard to own package
  * feat(deb): Move var-log systemd mount to own package
  * feat(deb): Remove revpi-webstatus-redirect package
  * feat(deb): Remove revpi-webstatus package
  * fix(deb): Update control file settings
  * feat(deb): Create missing certificates during package configure

 -- Sven Sager <s.sager@kunbus.com>  Wed, 29 May 2024 11:54:56 +0200

revpi-webstatus (1:2.4.5-1+revpi12+3) bookworm; urgency=medium

  * feat(deb): Add cockpit pictory sso to open_basedir apache configuration

 -- Sven Sager <s.sager@kunbus.com>  Tue, 09 Apr 2024 14:49:08 +0200

revpi-webstatus (1:2.4.5-1+revpi12+2) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * fix(deb): Set minimum PHP version to 8.2

 -- Sven Sager <s.sager@kunbus.com>  Mon, 05 Feb 2024 13:38:27 +0100

revpi-webstatus (1:2.4.5-1+revpi12+1) bookworm; urgency=medium

  [ Philipp Rosenberger ]
  * Switch back to the debian/ namespace

  [ Lukas Zech ]
  * test: Refactor authentication in HTTP tests
  * test: Add Docker image for development
  * test: Add testcafe E2E tests
  * ci: Add GitLab CI configuration for E2E tests

  [ Sven Sager ]
  * fix: Change base of disk_free_space to __DIR__ of PHP project file
  * chore: Change version to 2.4.5
  * feat(deb): Restrict PHP file system access via open_basedir

 -- Sven Sager <s.sager@kunbus.com>  Fri, 26 Jan 2024 12:42:51 +0100

revpi-webstatus (1:2.4.4-1+revpi12+1) bookworm; urgency=medium

  * fix: Change text of clock rate from '1200' to 'MAX'
  * chore: Release version 2.4.4

 -- Sven Sager <s.sager@kunbus.com>  Tue, 28 Nov 2023 15:10:21 +0100

revpi-webstatus (1:2.4.3-1+revpi12+1) bookworm; urgency=medium

  * test: Update JetBrains HTTP Request test scripts
  * fix(revpi-cert-wizard): Print details about OSError exception
  * fix(revpi-cert-wizard): Catch crypto.Error exceptions
  * chore: Release version 2.4.3

 -- Sven Sager <s.sager@kunbus.com>  Wed, 18 Oct 2023 18:46:36 +0200

revpi-webstatus (1:2.4.2-1+revpi11+1) bullseye; urgency=medium

  [ Lukas Zech ]
  * fix: Escape user input before passing it to exec()

  [ Thomas Böhler ]
  * fix: Ensure module `ssl` is enabled for redirect

  [ Lukas Zech ]
  * fix: Return error on invalid user input

  [ Sven Sager ]
  * chore: Release version 2.4.2

 -- Sven Sager <s.sager@kunbus.com>  Fri, 11 Aug 2023 09:06:29 +0200

revpi-webstatus (1:2.4.1-1+revpi11+1) bullseye; urgency=medium

  * fix: Make 'disable reset password link' work again

 -- Nicolai Buchwitz <n.buchwitz@kunbus.com>  Mon, 24 Jul 2023 09:43:06 +0200

revpi-webstatus (1:2.4.0-1+revpi11+1) bullseye; urgency=medium

  * feat: Add configuration for antenna on connect 4
  * feat: Add configuration for avahi daemon
  * fix: Show info about reboot the system for some configurations
  * chore: Release version 2.4.0
  * packaging: Set new revpi-tools version as dependency

 -- Sven Sager <s.sager@kunbus.com>  Tue, 18 Jul 2023 12:24:57 +0200

revpi-webstatus (1:2.3.1-1+revpi11+1) bullseye; urgency=medium

  * fix: Reach Node-RED on port 41880
  * chore: Release version 2.3.1

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 09 Jun 2023 10:41:51 +0200

revpi-webstatus (1:2.3.0-1+revpi11+1) bullseye; urgency=medium

  [ Lukas Zech ]
  * fix: Set version to 3 (0x2) in revpi-cert-wizard
  * docs: Add comment about the use of x509 extensions

  [ Nicolai Buchwitz ]
  * feat: Show IP addresses in status page

  [ Thomas Böhler ]
  * fix: Enable redirect conf on upgrade

  [ Nicolai Buchwitz ]
  * feat(nodered): Use https instead of http

  [ Thomas Böhler ]
  * chore: Release version 2.3.0

 -- Thomas Böhler <t.boehler@kunbus.com>  Wed, 07 Jun 2023 17:12:46 +0200

revpi-webstatus (1:2.2.0-1+revpi11+2) bullseye; urgency=medium

  * fix: Rename updated lintian lint
  * fix: Remove outdated lintian overrides
  * fix: Tell user to reload apache2 on install/uninstall
  * fix: Disable Apache sites/config on upgrade
  * feat: Use configs for redirects
  * feat: Remove `.htaccess` from revpi-webstatus
  * feat: Add revpi-webstatus-redirect package
  * feat: Add lintian-overrides to revpi-webstatus-redirect

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 30 May 2023 13:07:57 +0200

revpi-webstatus (1:2.2.0-1+revpi11+1) bullseye; urgency=medium

  [ Lukas Zech ]
  * Add HTML page to redirect insecure HTTP requests to HTTPS
  * fix: Redirect from default site now respects port

  [ Sven Sager ]
  * Release 2.2.0

  [ Lukas Zech ]
  * feat: Redirect insecure HTTP requests to HTTPS

 -- Sven Sager <s.sager@kunbus.com>  Tue, 23 May 2023 14:52:03 +0200


