=== debian/control ===
Source: revpi-webstatus
Section: electronics
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: no
Homepage: https://revolutionpi.com/
Vcs-Browser: https://gitlab.com/revolutionpi/webstatus
Vcs-Git: https://gitlab.com/revolutionpi/webstatus.git -b debian/trixie
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2

Package: revpi-cert-wizard
Architecture: all
Depends:
  python3,
  python3-openssl,
  ${misc:Depends},
Replaces:
  revpi-webstatus,
Breaks:
  revpi-webstatus,
Description: Generate self-signed Revolution Pi certificates
 This package is designed to generate self-signed TLS (Transport Layer
 Security) certificates for encrypting sensitive information during
 transmission. TLS certificates are essential for ensuring secure
 communication and preventing unauthorized access to data transmitted
 over the network.

Package: revpi-tmpfs-logs
Architecture: all
Depends:
  ${misc:Depends},
Replaces:
  revpi-webstatus,
Breaks:
  revpi-webstatus,
Description: Removed package to mount log dir into tmpfs
 The function of this package is no longer available - see package
 NEWS file. It can safely be removed.
