## revpi-webstatus 2.6.0

=== debian/changelog ===
revpi-webstatus (1:2.6.0-1+deb13+1) trixie; urgency=medium

  * feat(cert-wizard): Replace OpenSSL with cryptography module
  * test(cert-wizard): Add tests for cert wizard
  * feat(deb): Change dependency of revpi-cert-wizard

 -- Sven Sager <s.sager@kunbus.com>  Mon, 26 Jan 2026 11:56:26 +0100
