=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: all
 Depends:
   python3,
-  python3-openssl,
+  python3-cryptography,
   ${misc:Depends},
 Replaces:
   revpi-webstatus,
